List all available service products for an order
List all available service products for an order
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-services
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Body
postalCodestringRequired
productUidsstring[]Required
warehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
informationstring[]Required
Additional information about the services products that should be shown to the seller
errorsstring[]Required
Errors which causes the delivery to not be available
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-services
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-services HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"postalCode": "text",
"productUids": [
"text"
],
"warehouseUid": "text"
}200
Example response
{
"items": [
{
"productUid": "text",
"serviceProducts": [
{
"storeProductDetails": {
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"price": 1,
"campaignPrice": 1,
"campaignName": "text",
"quantityReserved": 1,
"quantityStock": 1,
"quantityOrdered": 1,
"warehouseStockDetails": [
{
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"quantityReserved": 1,
"quantityStock": 1,
"locationLabel": "text",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
],
"soaAmounts": [
{
"soaUid": "text",
"soaName": "text",
"amount": 1,
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"soaAmountUid": "text"
}
]
},
"allowAddon": true,
"allowCredit": true,
"allowNegativePrice": true,
"allowPurchase": true,
"allowQuantity": true,
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"allowDelivery": "YES",
"allowDeliveryDate": "2026-01-01T00:00:00.000Z",
"allowOrderSpecificCost": true,
"allowOrderSpecificName": true,
"allowDiscount": true,
"availableForWeb": true,
"brandUid": "text",
"brandName": "text",
"calculationFactor": 1,
"categoryUids": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAgeRestriction": 1,
"description": "text",
"discontinuedFrom": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"externalInfo": "text",
"externalUrl": "text",
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"height": 1,
"internalInfo": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"length": 1,
"name": "text",
"optionProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"priceOverride": true,
"productGroupUid": "text",
"productGroupPath": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
],
"productUid": "text",
"productType": "STOCK",
"recommendedRetailPrice": 1,
"requiredVariantPropertyUids": [
"text"
],
"serialNoRequired": "NO",
"sellOnlyAsAddon": true,
"shortDescription": "text",
"sku": "text",
"manufacturerSku": "text",
"suppliers": [
{
"name": "text",
"supplierUid": "text",
"supplierProductUid": "text",
"purchasePrice": 1,
"currency": "text",
"supplierSku": "text"
}
],
"textProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"unitLabel": "text",
"variantProductUids": [
"text"
],
"variantParentProductUid": "text",
"vatCodeUid": "text",
"usesVatMarginScheme": true,
"weight": 1,
"width": 1,
"links": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"parents": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerDeliveryAddress": true,
"orderItemReference": "text"
},
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"imageCount": 1,
"relevance": 1,
"visibility": "ALWAYS_VISIBLE",
"commission": 1,
"productWarrantyUid": "text",
"excludeFromStatistics": true,
"purchasePrice": 1,
"numberOfPieces": 1,
"limitToStoreUids": [
"text"
],
"tradeUnit": 1
}
],
"freightServiceProducts": [
{
"storeProductDetails": {
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"price": 1,
"campaignPrice": 1,
"campaignName": "text",
"quantityReserved": 1,
"quantityStock": 1,
"quantityOrdered": 1,
"warehouseStockDetails": [
{
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"quantityReserved": 1,
"quantityStock": 1,
"locationLabel": "text",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
],
"soaAmounts": [
{
"soaUid": "text",
"soaName": "text",
"amount": 1,
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"soaAmountUid": "text"
}
]
},
"allowAddon": true,
"allowCredit": true,
"allowNegativePrice": true,
"allowPurchase": true,
"allowQuantity": true,
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"allowDelivery": "YES",
"allowDeliveryDate": "2026-01-01T00:00:00.000Z",
"allowOrderSpecificCost": true,
"allowOrderSpecificName": true,
"allowDiscount": true,
"availableForWeb": true,
"brandUid": "text",
"brandName": "text",
"calculationFactor": 1,
"categoryUids": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAgeRestriction": 1,
"description": "text",
"discontinuedFrom": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"externalInfo": "text",
"externalUrl": "text",
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"height": 1,
"internalInfo": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"length": 1,
"name": "text",
"optionProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"priceOverride": true,
"productGroupUid": "text",
"productGroupPath": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
],
"productUid": "text",
"productType": "STOCK",
"recommendedRetailPrice": 1,
"requiredVariantPropertyUids": [
"text"
],
"serialNoRequired": "NO",
"sellOnlyAsAddon": true,
"shortDescription": "text",
"sku": "text",
"manufacturerSku": "text",
"suppliers": [
{
"name": "text",
"supplierUid": "text",
"supplierProductUid": "text",
"purchasePrice": 1,
"currency": "text",
"supplierSku": "text"
}
],
"textProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"unitLabel": "text",
"variantProductUids": [
"text"
],
"variantParentProductUid": "text",
"vatCodeUid": "text",
"usesVatMarginScheme": true,
"weight": 1,
"width": 1,
"links": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"parents": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerDeliveryAddress": true,
"orderItemReference": "text"
},
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"imageCount": 1,
"relevance": 1,
"visibility": "ALWAYS_VISIBLE",
"commission": 1,
"productWarrantyUid": "text",
"excludeFromStatistics": true,
"purchasePrice": 1,
"numberOfPieces": 1,
"limitToStoreUids": [
"text"
],
"tradeUnit": 1
}
]
}
],
"information": [
"text"
],
"errors": [
"text"
]
}Last updated
Was this helpful?

